--- Fl_mac.cxx.orig	Fri Aug  1 22:54:43 2003
+++ Fl_mac.cxx	Sat Apr  3 20:26:56 2004
@@ -452,11 +452,6 @@
 //
 static void *dataready_thread(void *userdata)
 {
-  EventRef drEvent;
-  CreateEvent( 0, kEventClassFLTK, kEventFLTKDataReady,
-               0, kEventAttributeUserEvent, &drEvent);
-  EventQueueRef eventqueue = (EventQueueRef)userdata;
-
   // Thread safe local copy
   int maxfd;
   fd_set r, w, x;
@@ -486,7 +481,12 @@
       default:	// DATA READY
       {
         DEBUGMSG("DATA READY EVENT: SENDING\n");
+        EventRef drEvent;
+        CreateEvent( 0, kEventClassFLTK, kEventFLTKDataReady,
+		     0, kEventAttributeUserEvent, &drEvent);
+        EventQueueRef eventqueue = (EventQueueRef)userdata;
         PostEventToQueue(eventqueue, drEvent, kEventPriorityStandard );
+        ReleaseEvent( drEvent );
         return(NULL);		// done with thread
       }
     }
